﻿
var myjs = {
    urls: {
        files: "/api/ReportApi/getreportfiles",
        fileContentUrl: "/api/ReportApi/GetHtml",
        getresult: "api/ReportApi/GetResult",
    },
    //定义从对象获取请求参数的方法
    getParaStr(data) {
        var arr = []
        for (const key in data) {
            arr.push(key + "=" + data[key])
        }
        return arr.join('&')
    },
    //创建sql字符串
    createSql(e) {
        var pn = "";
        var paras = "";
        var ec = $(e).find("input");
        for (var i = 0; i < ec.length; i++) {
            var e = $(ec[i]);
            var n = e.attr("name");
            var v = e.attr("value");
            if (n == "ProcedureName") {
                pn = v;
            } else {
                paras = paras + " @" + n + "='" + v + "',";
            }
        }
        return "exec " + pn + paras;
    },
    //发送post请求，发送data数据，执行成功方法sc和失败方法ec
    post(url, data, sc, ec) {
        if (!ec) {
            ec = function (e) { showmsg(e.message); };
        }
        fetch(url, {
            credentials: 'same-origin',
            method: 'POST', // or 'PUT'
            body: this.getParaStr(data),
            headers: new Headers({
                'Content-Type': 'application/x-www-form-urlencoded; charset=UTF-8',
            })
        })
            .then(Response => Response.json())
            .then(sc)
            .catch(ec);
    },
    //提示消息并记录
    showmsg(msg) {
        console.log(msg);
        alert(msg);
    },
};